=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                pyflakes3,
                lsb-release,
                gnu-efi (>= 3.0.2)
-X-Python3-Version: >= 3.7
-Homepage: http://github.com/superm1/dell-recovery
-Vcs-Git: http://github.com/superm1/dell-recovery
+X-Python3-Version: >= 3.6
+Homepage: http://github.com/dell/dell-recovery
+Vcs-Git: http://github.com/dell/dell-recovery
 Standards-Version: 4.4.0
 
 Package: dell-recovery
@@ -35,17 +35,19 @@
 Replaces: dell-artwork, dell-oobe
 Conflicts: dell-oobe
 Recommends: cryptsetup,
+            cryptsetup-bin,
             dvd+rw-tools,
             isolinux,
             lsb-release,
             lvm2,
+            mokutil,
             mdadm (>> 4.1~rc1-2),
             parted,
             python3-progressbar,
             ttf-dejavu,
             usb-creator-gtk,
             wodim,
-            xorriso
+            xorriso,
 Enhances: oem-config-gtk, ubiquity-frontend-gtk
 Suggests: grub-pc
 Description: Dell Recovery Media Creation Package
