=== debian/changelog ===
dell-recovery (1.66) groovy; urgency=medium

  [ Shih-Yuan Lee (FourDollars)]
  * Try to install the platform factory meta package automatically.

  [ Yuan-Chen Cheng ]
  * sort disk name by type and size.
  * properly show disk with rst attribute.
  * don't show the page to create media if we run in automatic mode.
  * add a dev mode that's full-automatic in stage 1, 2 and recovery from hdd.

  [ Alex Tu ]
  * change NetworkManager dbus method from Sleep to Enable (Close #114)

  [ Mario Limonciello ]
  * Fix a crash in about dialog (LP: #1795705)
  * fix some issues with new pyflakes (LP: #1890819)

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 10 Aug 2020 21:32:14 -0500

dell-recovery (1.65) groovy; urgency=medium

  [ Alex Tu ]
  * filter the output of `ubuntu-drivers list`

  [ Li-Hao Liao (Leon Liao) ]
  * Retire the dell-$BIOS_ID-meta

  [ Yuan-Chen Cheng ]
  * fix model naming retrival for Intel® Optane Memory H10 with Solid State Storage, 32GB + 512GB

  [ Dimitri John Ledkov ]
  * Use the modern name for the dejavu font package

  [ Shih-Yuan Lee (FourDollars) ]
  * Using `dpkg-query -W $pkg` is unreliable.
  * Make the local archive in /dell/debs/ when using the customized installation without the recovery partition. (Closes: #105)
  * Only download language packs and their uninstalled dependent packages.

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 16 Jun 2020 15:06:29 -0500
