=== debian/control ===
--- 
+++ 
@@ -44,7 +44,7 @@
             mdadm (>> 4.1~rc1-2),
             parted,
             python3-progressbar,
-            ttf-dejavu,
+            fonts-dejavu,
             usb-creator-gtk,
             wodim,
             xorriso,
