## dell-recovery 1.66.1

=== debian/changelog ===
dell-recovery (1.66.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)
  * setup.py: Removed clean command which was incompatible with Python 3.12

 -- Dave Jones <dave.jones@canonical.com>  Mon, 12 Aug 2024 13:09:54 +0100
