=== debian/control ===
--- 
+++ 
@@ -50,6 +50,7 @@
             xorriso,
 Enhances: oem-config-gtk, ubiquity-frontend-gtk
 Suggests: grub-pc
+Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: Dell Recovery Media Creation Package
  This package is used to produce a Dell recovery media image.
  It then uses known open source tools to write the image to
