## dell-recovery 1.66.1ubuntu1

=== debian/changelog ===
dell-recovery (1.66.1ubuntu1) oracular; urgency=medium

  * No change rebuild to ensure noble SRU is earlier (LP: #2075337)
  * setup.py: Removed clean command which was incompatible with Python 3.12

 -- Dave Jones <dave.jones@canonical.com>  Mon, 02 Sep 2024 12:45:29 +0100
