## dell-recovery 1.67

=== debian/changelog ===
dell-recovery (1.67) plucky; urgency=medium

  * debian/control: Depends on polkitd and pkexec

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Nov 2024 13:21:14 +0100
