=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
          fonts-dejavu-core,
          gir1.2-gtk-3.0,
          lzma | xz-utils (>= 5.1.1alpha+20120614-1) | xz-lzma,
-         policykit-1,
+         polkitd,
+         pkexec,
          python3-apt,
          python3-dbus,
          python3-debian,
@@ -50,7 +51,6 @@
             xorriso,
 Enhances: oem-config-gtk, ubiquity-frontend-gtk
 Suggests: grub-pc
-Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: Dell Recovery Media Creation Package
  This package is used to produce a Dell recovery media image.
  It then uses known open source tools to write the image to
