## dell-recovery 1.67build1

=== debian/changelog ===
dell-recovery (1.67build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 19:53:52 +0000
